Scilab Function

genfac3d - calcule les facettes d'une surface 3D non-paramétrique

### Calling Sequence

  `[xx,yy,zz]=genfac3d(x,y,z,[mask])`

### Parameters

- `xx,yy,zz` : matrices de taille (4,n-1xm-1). `xx(:,i)` ,`yy(:,i)` et `zz(:,i)` sont respectivement les coordonnées des 4 points de la facette numéro i.
- `x` : vecteur de taille m.
- `y` : vecteur de taille n.
- `z` : matrice de taille (m,n). `z(i,j)` est la hauteur de la surface au point (x(i),y(j)).
- `mask` : matrice booléenne optionnelle de même taille que `z` utilisée pour sélectionner les termes de `z` à représenter par des facettes.

### Description

`genfac3d` calcule la représentation en facettes à 4 points d'une surface 3D non-paramétrique `z=f(x,y)` définie par `x` , `y` et `z` .

### Examples

    t=[0:0.3:2*%pi]'; z=sin(t)*cos(t');
    [xx,yy,zz]=genfac3d(t,t,z);
    plot3d(xx,yy,zz)

### See Also

`eval3dp` , `plot3d` ,